.panel.panel-default{"ng-controller" => "BorrowingStatusCtrl"}
  .panel-heading{ :style => "border-bottom:1px solid #f0f0f0"}
    %h4.text-primary Borrowing Status
  .panel-body
    .table-responsive
      %table.table
        %thead
          %tr
            %th{:style => "text-align:center;"} Components
            %th{:style => "text-align:center;"} Status
     
        %tbody
          %tr
            %td
              Bank account
            %td
              %input{"ng-model" => "vm.have_bank_account", :type => "radio", "data-ng-value" => 'true'}/
              Yes

              %input{"ng-model" => "vm.have_bank_account", :type => "radio", "data-ng-value" => 'false'}/
              No
          %tr
            %td
              Do you have any savings?
            %td
              %input{"ng-model" => "vm.have_savings", :type => "radio", "data-ng-value" => 'true'}/
              Yes

              %input{"ng-model" => "vm.have_savings", :type => "radio", "data-ng-value" => 'false'}/
              No
          %tr
            %td
              Credit Availed?
            %td
              %input{"ng-model" => "vm.credit_availed", :type => "radio", "data-ng-value" => 'true'}/
              Yes
            
              %input{"ng-model" => "vm.credit_availed", :type => "radio", "data-ng-value" => 'false'}/
              No
              %br
              %div{:style => "padding: 8px;"}
                .col-md-4
                  Amount
                  =number_field "amount", '', :class => "form-control", "ng-model" => "vm.amount"
                .col-md-4
                  %label.control-label{:for => ""} Adequate/Inadequate
                  .radio
                    %input{"ng-model" => "vm.amount_availed_adequate", :type => "radio", "data-ng-value" => 'true'}/
                    Adequate &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
                    %input{"ng-model" => "vm.amount_availed_adequate", :type => "radio", "data-ng-value" => 'false'}/
                    Inadequate &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;

              
  .panel-footer
    %button{:class => "btn btn-primary btn-sm", "ng-show" => "btn_add", "ng-click" => "submit()"} Save
    %button{:class => "btn btn-primary btn-sm", "ng-show" => "btn_update", "ng-click" => "submit()"} Update
    %button{:class => "btn btn-primary btn-sm", "ng-show" => "btn_cancel", "ng-click" => "cancel()"} Cancel
      
.panel.panel-default{"ng-controller" => "InstitutionalCreditCtrl"}
  .panel-heading{ :style => "border-bottom:1px solid #f0f0f0"}
    %h4.text-primary Institutional Credit
  .panel-body
    .table-responsive
      %table.table
        %thead
          %tr
            %th{:style => "text-align:center;"} Institutional Source
            %th{:style => "text-align:center;"} Amount (Rs.)
            %th{:style => "text-align:center;"} Rate of Interest  
            %th{:style => "text-align:center;"} Purpose
            %th{:style => "text-align:center;"} Repayment status
            %th{:style => "text-align:center;"} Reactions
     
        %tbody
          %tr{ "ng-repeat" => "institutional_credit in data_list "}
            %td{:style => "text-align:center;"} {{ institutional_credit.source }}
            %td{:style => "text-align:center;"} {{ institutional_credit.institution_amount}}
            %td{:style => "text-align:center;"} {{ institutional_credit.rate_of_interest }}
            %td{:style => "text-align:center;"} {{ institutional_credit.credit_avail_purpose.name }}
            %td{:style => "text-align:center;"} {{ institutional_credit.repayment_status }}
            %td{:style => "text-align:center;"} {{ institutional_credit.reactions }}
            %td
              %a{ "ng-click" => "edit(institutional_credit.id);" } 
                %i.fa.fa-pencil{"aria-hidden"=>"true", :style=>"color:#D0D0D0"}
            %td
              %a{ "ng-click" => "delete(institutional_credit.id, institutional_credit.url);" } 
                %i.fa.fa-trash-o.fa-fw{"aria-hidden"=>"true", :style=>"color:#D0D0D0"}
          %tr
            %td
              = select_tag :source, options_for_select(["Commercial Bank","Grameena Bank","Cooperative Bank"]), :prompt => "Select",:class => "form-control", "ng-model" => "vm.source"
            %td
              = number_field :institution_amount, '',:class => "form-control", "ng-model" => "vm.institution_amount"
            %td
              = number_field :rate_of_interest, '',:class => "form-control", "ng-model" => "vm.rate_of_interest"
            %td
              %select{"ng-model" => "vm.credit_avail_purpose", "ng-options" => "credit_avail_purpose.name for credit_avail_purpose in credit_avail_purposes track by credit_avail_purpose.id", :class => "form-control"}
                %option{:value=>'', :selected => 'selected'} Select Purpose
            %td
              = select_tag :repayment_status, options_for_select(["Un paid","Partially paid","Fully paid"]), :prompt => "Select",:class => "form-control", "ng-model" => "vm.repayment_status"
            %td
              = select_tag :reactions, options_for_select(["Helped to perform timely agricultural operations","Easy accessibility of credit","Loan amount was  adequate to fulfil the  requirement","Higher rate of interest","Forced to sell the produce at low price to repay loan in time","None", "Other"]), :prompt => "Select",:class => "form-control", "ng-model" => "vm.reactions"

              
  .panel-footer
    %button{:class => "btn btn-primary btn-sm", "ng-show" => "btn_add", "ng-click" => "submit()"} Add  
    %button{:class => "btn btn-primary btn-sm", "ng-show" => "btn_update", "ng-click" => "update()"} Update  
    %button{:class => "btn btn-primary btn-sm", "ng-show" => "btn_cancel", "ng-click" => "cancel()"} Cancel  

.panel.panel-default{"ng-controller" => "PrivateCreditCtrl"}
  .panel-heading{ :style => "border-bottom:1px solid #f0f0f0"}
    %h4.text-primary Private Credit
  .panel-body
    .table-responsive
      %table.table
        %thead
          %tr
            %th{:style => "text-align:center;"} Private Source
            %th{:style => "text-align:center;"} Amount (Rs.)
            %th{:style => "text-align:center;"} Rate of Interest  
            %th{:style => "text-align:center;"} Purpose
            %th{:style => "text-align:center;"} Repayment status
            %th{:style => "text-align:center;"} Reactions
     
        %tbody
          %tr{ "ng-repeat" => "private_credit in data_list "}
            %td{:style => "text-align:center;"} {{ private_credit.source }}
            %td{:style => "text-align:center;"} {{ private_credit.private_amount}}
            %td{:style => "text-align:center;"} {{ private_credit.rate_of_interest }}
            %td{:style => "text-align:center;"} {{ private_credit.credit_avail_purpose.name }}
            %td{:style => "text-align:center;"} {{ private_credit.repayment_status }}
            %td{:style => "text-align:center;"} {{ private_credit.reactions }}
            %td
              %a{ "ng-click" => "edit(private_credit.id);" } 
                %i.fa.fa-pencil{"aria-hidden"=>"true", :style=>"color:#D0D0D0"}
            %td
              %a{ "ng-click" => "delete(private_credit.id, private_credit.url);" } 
                %i.fa.fa-trash-o.fa-fw{"aria-hidden"=>"true", :style=>"color:#D0D0D0"}
          %tr
            %td
              = select_tag :source, options_for_select(["Friends/Relatives","Money Lender","Traders","Input Dealers/ Suppliers","SHGs/CBOs"]), :prompt => "Select",:class => "form-control", "ng-model" => "vm.source"
            %td
              = number_field :private_amount, '',:class => "form-control", "ng-model" => "vm.private_amount"
            %td
              = number_field :rate_of_interest, '',:class => "form-control", "ng-model" => "vm.rate_of_interest"
            %td
              %select{"ng-model" => "vm.credit_avail_purpose", "ng-options" => "credit_avail_purpose.name for credit_avail_purpose in credit_avail_purposes track by credit_avail_purpose.id", :class => "form-control"}
                %option{:value=>'', :selected => 'selected'} Select Purpose
            %td
              = select_tag :repayment_status, options_for_select(["Un paid","Partially paid","Fully paid"]), :prompt => "Select",:class => "form-control", "ng-model" => "vm.repayment_status"
            %td
              = select_tag :reactions, options_for_select(["Helped to perform timely agricultural operations","Easy accessibility of credit","Loan amount was  adequate to fulfil the  requirement","Higher rate of interest","Forced to sell the produce at low price to repay loan in time","None", "Other"]), :prompt => "Select",:class => "form-control", "ng-model" => "vm.reactions"

              
  .panel-footer
    %button{:class => "btn btn-primary btn-sm", "ng-show" => "btn_add", "ng-click" => "submit()"} Add  
    %button{:class => "btn btn-primary btn-sm", "ng-show" => "btn_update", "ng-click" => "update()"} Update  
    %button{:class => "btn btn-primary btn-sm", "ng-show" => "btn_cancel", "ng-click" => "cancel()"} Cancel 
    %button{:class => "btn btn-primary btn-sm pull-right", "ng-click" => "next()"}
      %i.fa.fa-chevron-right{"aria-hidden"=>"true", :style=>"color:#FFF"}
    %button{:class => "btn btn-primary btn-sm pull-right", "ng-click" => "prev()", :style => "margin-right:5px"} 
      %i.fa.fa-chevron-left{"aria-hidden"=>"true", :style=>"color:#FFF"}
      
